package com.aps.entity.Algorithm;

import com.aps.entity.basic.Entry;
import com.aps.entity.basic.Machine;
import com.aps.entity.basic.Order;

import java.util.List;

/**
 * 作者：佟礼
 * 时间：2025-12-08
 */
public class BOMBuildResult {
    private List<OrderMaterialRequirement> materialRequirements;
    private List<Order> childOrders;

    private List<Entry> newentrys;

    private List<Machine> newMachines;

    public BOMBuildResult(List<OrderMaterialRequirement> materialRequirements, List<Order> childOrders,List<Entry> newentrys) {
        this.materialRequirements = materialRequirements;
        this.childOrders = childOrders;
        this.newentrys=newentrys;
    }

    public List<OrderMaterialRequirement> getMaterialRequirements() {
        return materialRequirements;
    }

    public List<Order> getChildOrders() {
        return childOrders;
    }

    public List<Entry> getNewEntrys() {
        return newentrys;
    }

    public List<Machine> getNewMachines() {
        return newMachines;
    }
}
